diff --git a/Makefile.am b/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,16 @@
+SUBDIRS = xerbla
+
+EXTRA_DIST = README.txt
+
+# Octave doesn't find SuiteSparse_config.h if it's placed in a non-default search path.
+# Don't put it in a subdirectory for now.  Update suitesparseconfig.pc.in if this changes.
+#pkginclude_HEADERS = SuiteSparse_config.h
+include_HEADERS = SuiteSparse_config.h
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = suitesparseconfig.pc
+
+lib_LTLIBRARIES = libsuitesparseconfig.la
+libsuitesparseconfig_la_SOURCES = SuiteSparse_config.c
+libsuitesparseconfig_la_LIBADD = -lm
+libsuitesparseconfig_la_LDFLAGS = -no-undefined -release $(PACKAGE_VERSION)
diff --git a/configure.ac b/configure.ac
new file mode 100644
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,37 @@
+#                                               -*- Autoconf -*-
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ([2.69])
+AC_INIT([SuiteSparse_config],[4.4.6],[DrTimothyAldenDavis@gmail.com],[suitesparseconfig],[http://www.suitesparse.com/])
+AC_CONFIG_SRCDIR([SuiteSparse_config.c])
+AC_CONFIG_HEADERS([config.h])
+AM_INIT_AUTOMAKE([foreign])
+LT_INIT
+
+# Checks for programs.
+AC_PROG_INSTALL
+AC_PROG_CC
+AC_PROG_F77
+
+LIBS_SAVED=$LIBS
+
+# Checks for libraries.
+AC_CHECK_LIB([m], [sqrt])
+
+# Checks for header files.
+AC_CHECK_HEADERS([limits.h stdlib.h])
+
+# Checks for typedefs, structures, and compiler characteristics.
+AC_TYPE_SIZE_T
+
+# Checks for library functions.
+AC_FUNC_MALLOC
+AC_CHECK_FUNCS([clock_gettime sqrt])
+
+LIBS=$LIBS_SAVED
+
+AC_CONFIG_FILES([
+	suitesparseconfig.pc
+	Makefile
+	xerbla/Makefile])
+AC_OUTPUT
diff --git a/suitesparseconfig.pc.in b/suitesparseconfig.pc.in
new file mode 100644
--- /dev/null
+++ b/suitesparseconfig.pc.in
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: SuiteSparse common library
+Version: @PACKAGE_VERSION@
+URL: @PACKAGE_URL@
+Libs: -L${libdir} -lsuitesparseconfig
+Libs.private: -lm
+Cflags: -I${includedir}
diff --git a/xerbla/Makefile.am b/xerbla/Makefile.am
new file mode 100644
--- /dev/null
+++ b/xerbla/Makefile.am
@@ -0,0 +1,7 @@
+noinst_HEADERS = xerbla.h
+noinst_LTLIBRARIES = libxerbla.la libcerbla.la
+
+libxerbla_la_SOURCES = xerbla.f
+libxerbla_la_FFLAGS = $(AM_FFLAGS)
+libcerbla_la_SOURCES = xerbla.c
+libcerbla_la_CFLAGS = $(AM_CFLAGS)
